defmodule Mix.Tasks.Lain.Ping do
  use Mix.Task

  @urls [
    "http://google.com/ping?sitemap=%s",
    "http://www.bing.com/webmaster/ping.aspx?sitemap=%s"
  ]

  def ping(sitemap_url) do
    @urls
    |> Enum.map(fn url ->
      ping_url = String.replace(url, "%s", sitemap_url)
      :httpc.request(~c"#{ping_url}")
    end)
  end

  def run(_args) do
    ping("https://pre.hn/sitemap.xml.gz")
  end
end
